Subject: I-D Action: draft-kaliraj-bess-bgp-sig-private-mpls-labels-04.txt

From: [email-masked]
Date: Tue, 28 Dec 2021 00:31:53 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : BGP signalled MPLS-namespaces
        Authors         : Kaliraj Vairavakkalai
                          Minto Jeyananth
	Filename        : draft-kaliraj-bess-bgp-sig-private-mpls-labels-04.txt
	Pages           : 16
	Date            : 2021-12-28

Abstract:
   The MPLS-forwarding-layer in a core network is a shared resource.
   The MPLS FIB at nodes in this layer contains labels that are
   dynamically allocated and locally significant at that node.

   For some usecases like upstream-label-allocation, it is useful to be
   able to create virtual private MPLS-forwarding-layers over this
   shared MPLS-forwarding-layer.  This allows installing deterministic
   private label-values in the private-FIBs created at nodes
   participating in this private MPLS forwarding-layer, while preserving
   the "locally significant" nature of the underlying shared 'public'
   MPLS-forwarding-layer.

   This specification describes the procedures to create such virtual
   private MPLS-forwarding layers (private MPLS-planes) using a new BGP
   family.  And gives a few example use-cases on how this private
   forwarding-layers can be used.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-kaliraj-bess-bgp-sig-private-mpls-labels/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-kaliraj-bess-bgp-sig-private-mpls-labels-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-kaliraj-bess-bgp-sig-private-mpls-labels-04

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts